//
//  FlipsideViewController.h
//  Impressionist
//
//  Created by Stephanie Abascal on 1/24/09.
//  Copyright Stephanie Abascal 2009. All rights reserved.
//

#import <UIKit/UIKit.h>

@class RootViewController;
@class MainViewController;
@class BrushSettingsController;
@class BrushAngleController;

@interface FlipsideViewController : UIViewController <UIPickerViewDelegate, UIImagePickerControllerDelegate, UINavigationControllerDelegate> {
	RootViewController* rootViewController;
	MainViewController* mainController;
	BrushSettingsController* brushController;
	BrushAngleController* angleController;
	
	IBOutlet UIPickerView* brushPicker;
	IBOutlet UISlider* size;
	IBOutlet UISlider* opacity;
	IBOutlet UISlider* thickness;
}

@property (retain, nonatomic) RootViewController *rootViewController;
@property (retain, nonatomic) MainViewController *mainController;
@property (retain, nonatomic) BrushSettingsController *brushController;
@property (retain, nonatomic) BrushAngleController *angleController;

@property (retain, nonatomic) UISlider* size;
@property (retain, nonatomic) UISlider* opacity;
@property (retain, nonatomic) UISlider* thickness;

- (IBAction)selectPicture;
- (IBAction)saveToAlbum;
- (IBAction)brushSettings;
- (IBAction)brushAngle;

@end
