//
//  FlipsideViewController.m
//  Impressionist
//
//  Created by Stephanie Abascal on 1/24/09.
//  Copyright Stephanie Abascal 2009. All rights reserved.
//

#import "MainView.h"
#import "FlipsideViewController.h"
#import "RootViewController.h"
#import "MainViewController.h"
#import "CustomKernelController.h"
#import "BrushSettingsController.h"
#import "BrushAngleController.h"

@implementation FlipsideViewController

@synthesize rootViewController;
@synthesize mainController;
@synthesize brushController;
@synthesize angleController;
@synthesize opacity;
@synthesize size;
@synthesize thickness;

- (void)viewDidLoad {
    [super viewDidLoad];
	opacity.maximumValue = 255;
	opacity.minimumValue = 0;
	opacity.value = 255;
	
	size.maximumValue = 40;
	size.minimumValue = 1;
	size.value = 10;
	
	thickness.minimumValue = 1;
	thickness.maximumValue = 40;
	thickness.value = 1;
	
	[mainController setSize:size.value];
	[mainController setOpacity:opacity.value];
}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning]; // Releases the view if it doesn't have a superview
    // Release anything that's not essential, such as cached data
}


- (void)dealloc {
	[rootViewController release];
	[MainViewController release];
	[opacity release];
	[size release];
    [super dealloc];
}

- (IBAction)brushSettings {
	[rootViewController toggleNavBar];
	if( self.brushController == nil ) {
		BrushSettingsController *viewController = [[BrushSettingsController alloc] initWithNibName:@"BrushSettings" bundle:nil];
		self.brushController = viewController;
		
		brushController.mainController = self.mainController;
		brushController.rootController = self.rootViewController;
	}
	
	[self presentModalViewController:self.brushController animated:YES];
}

- (IBAction)brushAngle {
	[rootViewController toggleNavBar];
	if( self.angleController == nil ) {
		BrushAngleController *viewController = [[BrushAngleController alloc] initWithNibName:@"AngleSettings" bundle:nil];
		self.angleController = viewController;
		
		angleController.mainController = self.mainController;
		angleController.rootController = self.rootViewController;
	}
	
	[self presentModalViewController:self.angleController animated:YES];
}

- (IBAction)selectPicture {
    UIImagePickerController* picker = [[UIImagePickerController alloc] init];
    picker.delegate = self;
	
    // Picker is displayed asynchronously.
	[rootViewController toggleNavBar];
    [self presentModalViewController:picker animated:YES];
}

- (void)imagePickerController:(UIImagePickerController *)picker didFinishPickingImage:(UIImage *)image editingInfo:(NSDictionary *)editingInfo {
	[mainController setImage:image];
	
	// Remove the picker interface and release the picker object.
    [[picker parentViewController] dismissModalViewControllerAnimated:YES];
	[rootViewController toggleNavBar];
    [picker release];
}

- (void)imagePickerControllerDidCancel:(UIImagePickerController *)picker
{
    [[picker parentViewController] dismissModalViewControllerAnimated:YES];
	[rootViewController toggleNavBar];
    [picker release];
}

- (IBAction)saveToAlbum {
	[rootViewController saveToAlbum];
}

@end
